# Interface IInputValidator

public interface IInputValidator
The IInputValidator is the interface for simple validators.

See Also:
  - `InputDialog`

## Method Summary

Modifier and Type
Method
Description
`String`
`isValid(String newText)`
Validates the given string.

## Method Details

### isValid

String isValid(String newText)
Validates the given string. Returns an error message to display if the new text is invalid. Returns `null` if there is no error. Note that the empty string is not treated the same as `null`; it indicates an error state but with no message to display.

Parameters:
  `newText` - the text to check for validity
Returns:
  an error message or `null` if no error